"""This files contains definitions of TT API endpoints. This code is automatically generated."""

ENDPOINTS = {
    "get_account": ("GET", "/account"),
    "update_account": ("PATCH", "/account"),
    "get_batches": ("GET", "/batches"),
    "create_batch": ("POST", "/batches"),
    "get_batch": ("GET", "/batches/{}"),
    "delete_batch": ("DELETE", "/batches/{}"),
    "update_batch": ("PATCH", "/batches/{}"),
    "trace": ("POST", "/trace"),
    "who_am_i": ("GET", "/whoami"),
    "get_users": ("GET", "/users"),
    "create_user": ("POST", "/users"),
    "get_user": ("GET", "/users/{}"),
    "delete_user": ("DELETE", "/users/{}"),
    "update_user": ("PATCH", "/users/{}"),
    "get_user_secret": ("GET", "/users/{}/secrets"),
    "create_user_secret_pin": ("POST", "/users/{}/secrets"),
    "delete_user_secret": ("DELETE", "/users/{}/secrets"),
    "update_user_secret": ("PATCH", "/users/{}/secrets"),
    "create_user_secret": ("POST", "/secrets/{}/{}"),
    "create_user_token": ("POST", "/token"),
    "refresh_user_token": ("POST", "/token/refresh"),
    "get_user_roles": ("GET", "/roles"),
    "create_user_role": ("POST", "/roles"),
    "get_user_role": ("GET", "/roles/{}"),
    "delete_user_role": ("DELETE", "/roles/{}"),
    "update_user_role": ("PATCH", "/roles/{}"),
    "resolve_twin_identity": ("GET", "/resolve/{}"),
    "scan_twins": ("GET", "/twins"),
    "create_twin": ("POST", "/twins"),
    "get_twin": ("GET", "/twins/{}"),
    "terminate_twin": ("DELETE", "/twins/{}"),
    "update_twin": ("PATCH", "/twins/{}"),
    "get_twin_identities": ("GET", "/twins/{}/identities"),
    "create_twin_identity": ("POST", "/twins/{}/identities"),
    "get_twin_identity": ("GET", "/twins/{}/identities/{}"),
    "delete_twin_identity": ("DELETE", "/twins/{}/identities/{}"),
    "update_twin_identity": ("PATCH", "/twins/{}/identities/{}"),
    "get_twin_ledger_entry": ("GET", "/twins/{}/ledgers/{}"),
    "add_twin_ledger_entry": ("POST", "/twins/{}/ledgers/{}"),
    "delete_twin_ledger_entry": ("DELETE", "/twins/{}/ledgers/{}"),
    "update_twin_ledger_entry": ("PATCH", "/twins/{}/ledgers/{}"),
    "get_twin_ledger_entry_value": ("GET", "/twins/{}/ledgers/{}/value"),
    "update_twin_ledger_entry_value": ("PATCH", "/twins/{}/ledgers/{}/value"),
    "get_twin_ledger_entry_history": ("GET", "/twins/{}/ledgers/{}/history"),
    "get_twin_docs": ("GET", "/twins/{}/docs"),
    "attach_twin_doc": ("POST", "/twins/{}/docs"),
    "delete_twin_docs": ("DELETE", "/twins/{}/docs"),
    "get_twin_doc": ("GET", "/twins/{}/docs/{}"),
    "delete_twin_doc": ("DELETE", "/twins/{}/docs/{}"),
    "update_twin_doc": ("PATCH", "/twins/{}/docs/{}"),
    "download_doc": ("GET", "/download/{}/{}"),
    "create_upload_url": ("POST", "/cache"),
    "invalidate_upload_url": ("DELETE", "/cache/{}"),
    "get_databases": ("GET", "/account/services/databases"),
    "get_database": ("GET", "/account/services/databases/{}"),
    "update_database": ("PATCH", "/account/services/databases/{}"),
    "get_database_access": ("GET", "/account/services/databases/{}/access"),
    "update_database_user_access": (
        "PATCH",
        "/account/services/databases/{}/access/users/{}",
    ),
    "update_database_ip_access": ("PATCH", "/account/services/databases/{}/access/ips"),
    "get_timeseries_table": ("GET", "/account/services/timeseries/{}"),
    "delete_timeseries_table": ("DELETE", "/account/services/timeseries/{}"),
    "update_timeseries_table": ("PATCH", "/account/services/timeseries/{}"),
    "get_timeseries_tables": ("GET", "/account/services/timeseries"),
    "create_timeseries_table": ("POST", "/account/services/timeseries"),
    "truncate_timeseries_table": ("DELETE", "/account/services/timeseries/{}/data"),
    "get_log": ("GET", "/log"),
    "webhook_subscribe": ("POST", "/notifications/webhooks"),
    "webhook_confirm_subscription": ("GET", "/notifications/webhooks/{}"),
    "webhook_unsubscribe": ("DELETE", "/notifications/webhooks/{}"),
    "webhook_refresh_subscription": ("PATCH", "/notifications/webhooks/{}"),
    "get_indexes_table": ("GET", "/account/services/indexes/{}"),
    "delete_indexes_table": ("DELETE", "/account/services/indexes/{}"),
    "update_indexes_table": ("PATCH", "/account/services/indexes/{}"),
    "get_indexes_tables": ("GET", "/account/services/indexes"),
    "create_indexes_table": ("POST", "/account/services/indexes"),
    "truncate_indexes_table": ("DELETE", "/account/services/indexes/{}/data"),
    "get_account_usage": ("GET", "/usage"),
    "get_user_usage": ("GET", "/usage/{}"),
    "get_stickers": ("GET", "/twins/{}/stickers"),
    "put_sticker": ("POST", "/twins/{}/stickers"),
    "get_sticker": ("GET", "/twins/{}/stickers/{}"),
    "remove_sticker": ("DELETE", "/twins/{}/stickers/{}"),
    "list_stickers": ("GET", "/stickers"),
}
